import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:account/src/features/delete_account/domain/delete_account_use_case.dart';

class DeleteAccountUseCaseImpl implements DeleteAccountUseCase {
  DeleteAccountUseCaseImpl(this._repository);

  final AccountRepository _repository;

  @override
  Future<void> deleteAccount({required String userId}) {
    return _repository.deleteAppUser(userId: userId);
  }
}
